# Calcul des caractéristiques de la carte SD

L'appareil photo dispose de plusieurs tailles d'image. Nous prenons la taille maximale, 4608 * 3456 pixels = 15 925 248 pixels.
En partant du principe qu'1 pixel correspond à 24 bits (3 octets), on a donc :

$15 925 248 pixels = 382 205 952 bits = \frac{382 205 952}{8} octets =$ 47 775 744 octets

On divise ensuite par $1024*1024$ pour passer des octets aux Mégaoctets (car on ne peut pas diviser par 1000 pour convertir, il s'agit d'octets) :
$\frac{47 775 744}{1024*1024} = 45,56 Mo$
Une image représente donc 45,56 Mo.

Pour obtenir le nombre d'images prises en 2 mois, on doit multiplier par 2 (car 2 images prises par jour) et par 61 (car les images sont relevées tous les 2 mois).
$45,56 * 2 * 61 = 5558,32 Mo = \frac{5558,32}{1024} =$ 5,43 Go

Sachant qu'on souhaite prévoir plus au cas où les chercheurs ne pourraient pas avoir accès au dispositif pendant 4 mois, il serait souhaitable de prévoir le double de la quantité, donc plus de 10 Go. Comme il n'existe que des cartes SD de 4, 8 et 16 Go, nous prendrons une carte de 16 Go. Au niveau du stockage, il y aurait donc une autonomie d'environ 6 mois.

Cependant, je ne sais pas si ça relève d'un surdimensionnement du système. Ce n'est pas sûr que le panneau solaire et la batterie tiennent autant.

# Carte SD déportée

Nous avons envisagé de déporter la carte SD, afin de pouvoir extraire la carte SD plus facilement sans forcément avoir à ouvrir le boîtier, ce qui ferait pénétrer de l'humidité dedans.

Voici un branchement de carte SD déporté : https://www.amazon.fr/Lanmu-dextension-extension-Adaptateur-convertisseur/dp/B01C8EDHE6

Il nous apparaît difficile de réaliser la soudure sur la carte SD afin de faire un branchement déporté. 

Des tutoriels existent néanmoins à ce sujet : 

- https://www.instructables.com/How-to-make-an-SD-Card-extension/

- https://www.instructables.com/SD-Card-Extension-Support-Cover